2 Replies Latest reply: Nov 24, 2012 2:47 PM by John Galt
riverwildlife Level 1 Level 1 (0 points)

Hello, I have a older Imac g5, I would like to sync my I phone 4s, but I tunes says I need a higher version. My Mac is not a duel processor and it is running on 

OS X 10.4.11. it is 1.8 Gz Power PC. It runs great. Any advice? Is there another software I need to preform this task?


iPhone 4S, Mac OS X (10.4.1), Older g5